API Docs / Operations / Invoices / Update purchase invoice

Update purchase invoice

PUT /tenants/{tenant}/purchase-invoices/{number}

Replaces the purchase invoice's editable fields and lines (a line with an existing code updates it, without a code adds one, a line left out is deleted). Refused when the payments would exceed the new amount payable, or (purchase invoices) a payment falls in a tax month whose CIS return is submitted.

Parameters

NameTypeDescription
tenant* path string

The tenant code (the organisation's URL stub)

The tenant code (the organisation's URL stub)

number* path integer (int32)

Request Body*

{
  "date": "2024-01-01T00:00:00Z",
  "dueDate": "2024-01-01T00:00:00Z",
  "yourReference": "string",
  "theirReference": "string",
  "isDomesticReverseCharge": false,
  "taxStatus": "NetOfHigherDeduction",
  "lines": [
    {
      "type": "...",
      "description": "...",
      "quantity": "...",
      "amount": "...",
      "vatRate": "..."
    }
  ]
}

Responses

400 Bad Request
application/problem+json
401 Unauthorized – Invalid or missing API key
403 Forbidden
application/problem+json
404 Not Found
application/problem+json